<main class="company-information-board">
    <article class="parameters-article">
        <table>
            <thead>
                <tr>
                    <th colspan="2"><span class="icon-company"></span> Informations sur l'entreprise</th>
                </tr>
            </thead>
            <tbody *ngIf="ready">
                <tr>
                    <td>Logo</td>
                    <td *ngIf="!showSpinner" id="logoSVG">
                        <div class="company-icon" [innerHTML]="companyInformation.logoSVG | safeHtml" (click)="uploadNewIcon();"></div>
                    </td>
                    <td *ngIf="showSpinner" id="logoSVG">
                        <app-circle-to-rhumbuses-spinner></app-circle-to-rhumbuses-spinner>
                    </td>
                </tr>
                <tr>
                    <td>Nom</td>
                    <td id="name" contenteditable (focusout)="onChangeContent($event);">{{ companyInformation.name }}</td>
                </tr>
                <tr>
                    <td>Description</td>
                    <td id="description" contenteditable (focusout)="onChangeContent($event);">{{ companyInformation.description }}</td>
                </tr>
                <tr>
                    <td>Informations légales</td>
                    <td id="otherInformation" contenteditable (focusout)="onChangeContent($event);">{{ companyInformation.otherInformation }}</td>
                </tr>
                <tr>
                    <td>Coordonnées bancaires</td>
                    <td id="bankDetails" contenteditable (focusout)="onChangeContent($event);">{{ companyInformation.bankDetails }}</td>
                </tr>
            </tbody>
        </table>
    </article>
    <aside class="parameters-button">
        <app-medium-button class="return-button" routerLink="../" displayedText="Retour"></app-medium-button>
        <app-medium-button class="save-button" displayedText="Enregistrer" (click)="onSave();"></app-medium-button>
    </aside>
</main>